package cn.datax.service.data.quality.schedule.thread;

import cn.datax.service.data.quality.schedule.exception.ChildThreadException;

/**
 * 多任务处理
 */
public interface MultiThreadHandler {

	/**
	 * 添加任务
	 * @param tasks 
	 */
	void addTask(Runnable... tasks);

	/**
	 * 执行任务
	 * @throws ChildThreadException 
	 */
	void run() throws ChildThreadException;
}
